#ifndef DUNE_PERFTOOL_SUMFACT_HORIZONTALADD_HH
#define DUNE_PERFTOOL_SUMFACT_HORIZONTALADD_HH

#include<dune/perftool/common/vectorclass.hh>


template<class V>
typename base_floatingpoint<V>::value horizontal_add_lower(const V& x)
{
  return horizontal_add(x.get_low());
}

template<class V>
typename base_floatingpoint<V>::value horizontal_add_upper(const V& x)
{
  return horizontal_add(x.get_high());
}

#endif
